Subject: Installation Bug
From: Scheming Pony <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 28 Feb 2020 16:37:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tried to install Guix 1.0.1 on a 2007 Dell Inspiron AMD64 from a DVD, failed on boot up.

Boot screen:

----

GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
GC Warning: Couldn't read /proc/stat
Welcome, this is GNU's early boot Guile.
Use '--repl' for an initrd REPL.

loading kernel modules...
loading '/gnu/store/z8hyal65cg06gkr8nnzrxpcr1q2wkrrh-system/boot'
making '/gnu/store/z8hyal65cg06gkr8nnzrxpcr1q2wk4rh-system' the current system..
.
setting up setuid programs in '/run/setuid-programs'...
populating /etc from /gnu/store/22w3n91qa2qzs2951wwcpfh8j8m8v4d6-etc...
creating /etc/machine-id
ssh-keygen: generating new host keys: RSA DSA ECDSA ED25519
error in finalization thread: Bad file descriptor
error in finalization thread: Bad file descriptor
[  110.959497] print_req_error: I/O error, dev sr0, sector 2387392 flags 80700
[  118.143656] print_req_error: I/O error, dev sr0, sector 2342432 flags 80700
[  130.827784] print_req_error: I/O error, dev sr0, sector 2525804 flags 80700
[  137.655654] print_req_error: I/O error, dev sr0, sector 2525900 flags 0
... ad infinitum ...

----

Reboot to a fresh 10.3 Debian installation, formerly working, now getting disk errors.  Hand transcribed from a photograph of the startup screen, so there might be a character or two wrong.

Also, the yellow button on your contact page is "INOP" on Firefox 65.0 (64-bit).

--
Stewart Milberger

 ^|||^
 \. ./ Scheming
  |λ|  Pony
  { }

Sent with ProtonMail Secure Email.